AnsweredAssumed Answered

Error Converting 3.2r2 Webscripts to 3.3

Question asked by analyzediz on Apr 18, 2010
Latest reply on Apr 18, 2010 by mrogers
Hi all,

We're in the process of migrating to 3.3 version of the Community Edition (from 3.2r2). We have updated our Maven project to point to the appropriate jars. We have one java-backed webscript and for this we now import corresponding classes from the org.springframework.extensions.webscripts.* packages.

When we deploy the webscript on 3.3 we get the following error on the java-backed webscript:

problem with class file or dependent class; nested exception is java.lang.NoClassDefFoundError: AbstractWebScript
   at org.springframework.beans.factory.support.BeanDefinitionValueResolver.resolveReference(BeanDefinitionValueResolver.java:328)
   at org.springframework.beans.factory.support.BeanDefinitionValueResolver.resolveValueIfNecessary(BeanDefinitionValueResolver.java:106)

We can build our source and have no compilation errors or anything. Perhaps I'm missing a critical step in the conversion to the new version with Spring Surf etc. I would greatly appreciate if anyone can shed just a bit of light on how to proceed.

Thanks all!

Outcomes